<!--

Copyright 2021 Orange.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

 -->

<div class="col-md-8 py-5 px-3 mx-auto">
    <header class="pb-3 mb-5 border-bottom">
    <h1>Bare Metal Pools </h1>
    </header>
    <table class="table table-hover">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Namespace</th>
            <th scope="col">Name</th>
            <th scope="col">Pool address</th>
            <th scope="col">Size</th>
            <th scope="col">Real</th>
            <th scope="col">Status</th>
        </tr>
        </thead>
        <tbody>
        {{#each pools}}
        <tr>
            <td>{{metadata.namespace}}</a></td>
            <td><a href="baremetalpools/{{metadata.namespace}}/{{metadata.name}}">{{metadata.name}}</a></td>
            <td>{{spec.address}}</td>
            <td>{{spec.size}}</td>
            <td>{{status.bmhcount}}</td>
            <td>{{status.status}}</td>
        </tr>
        {{/each}}
        </tbody>
    </table>
</div>
